import { PartialType, ApiProperty, ApiQuery } from '@nestjs/swagger';
import { IsEmail, IsNotEmpty, Length, Matches } from 'class-validator';

export class SendNotificationDto {

    @ApiProperty({
        description: 'El token del dispositivo',
        example: 'token[]',
    })
    @IsNotEmpty()
    token: string;
    @ApiProperty({
        description: 'El titulo de la notificacion',
        example: 'Notificacion ejemplo',
    })
    @IsNotEmpty()
    titulo: string;
    @ApiProperty({
        description: 'El mensaje de la notificacion',
        example: 'Este es el mensaje que será enviado.',
    })
    @IsNotEmpty()
    mensaje: string;
}
export class sendMultipleNotification {
    @ApiProperty({
        example: [
            {
                to:
                    [
                        'token[1]',
                        'token[2]'
                    ],
                titulo: 'Notificacion 1',
                body: 'Mensaje a dispositivos'
            },
        ]
        // example: [
        //     {
        //         token: 'token[1]',
        //         titulo: 'Notificacion 1',
        //         mensaje: 'Mensaje a dispositivo 1'
        //     },
        //     {
        //         token: 'token[2]',
        //         titulo: 'Notificacion 2',
        //         mensaje: 'Mensaje a dispositivo 2'
        //     }
        // ]
    })
    @IsNotEmpty()
    data: object;
}
